#
# spec file for package ftpdir (Version 2001.10.22)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  compress
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim

Name:         ftpdir
Copyright:    1999 - not specified
Group:        System Environment/Base
Autoreqprov:  off
Version:      2001.10.22
Release:      2
Summary:      A sample "FTP configuration"
Source: ftpdir.tar.gz

%description
This package contains a 'change-root'-configuration for
anonymous ftp.

SuSE series: n

%prep
%setup -n ftpdir

%build

%install
mkdir -p /usr/local/ftp/bin
mkdir -p /usr/local/ftp/dev
mkdir -p /usr/local/ftp/lib
mkdir -p /usr/local/ftp/pub
mkdir -p /usr/local/ftp/usr/bin
cp -a config/etc /usr/local/ftp
cp -a config/msgs /usr/local/ftp
cp -p /usr/bin/compress /usr/local/ftp/bin
cp -p /bin/tar /usr/local/ftp/bin
cp -p /bin/ls /usr/local/ftp/bin
ln -f /usr/local/ftp/bin/ls /usr/local/ftp/usr/bin/ls
cp -p /bin/gzip /usr/local/ftp/usr/bin
%ifarch ppc s390
cp -p /lib/ld.so.1 /usr/local/ftp/lib
%else
%ifarch ia64
cp -p /lib/ld-linux-ia64.so.2 /usr/local/ftp/lib
%else
%ifnarch s390
cp -p /lib/ld-linux.so.2 /usr/local/ftp/lib
%endif
%endif
%endif
cp -p /lib/libnss_files.so.2 /usr/local/ftp/lib
cp -p /lib/libc.so.6* /usr/local/ftp/lib
cp -p /lib/libpthread* /usr/local/ftp/lib
cp -p /lib/librt* /usr/local/ftp/lib
strip /usr/local/ftp/lib/*
mknod /usr/local/ftp/dev/null c 1 3 -m 666

%files
/usr/local/ftp/bin
/usr/local/ftp/dev
/usr/local/ftp/lib
/usr/local/ftp/pub
/usr/local/ftp/usr
%dir /usr/local/ftp/etc
%config /usr/local/ftp/etc/group
%config /usr/local/ftp/etc/passwd
%dir /usr/local/ftp/msgs
%config /usr/local/ftp/msgs/msg.dead
%config /usr/local/ftp/msgs/welcome.msg

%changelog -n ftpdir
* Mon Oct 22 2001 - draht@suse.de
- added /lib/librt* + /lib/libpthread* to /usr/local/ftp/lib to make
  ls happy/work again. Added "-p" option to cp commands in spec file.
* Mon Dec 04 2000 - schwab@suse.de
- Updated for new ABI on ia64.
* Mon Sep 25 2000 - ro@suse.de
- sorted
* Sun Jun 25 2000 - ro@suse.de
- don't break it for others
* Sun Jun 25 2000 - bk@suse.de
- Fix spec file for s390.
* Tue Jun 20 2000 - schwab@suse.de
- Fix spec file for ia64.
* Tue Feb 22 2000 - uli@suse.de
- fixed spec to work on PPC
* Tue Feb 15 2000 - ro@suse.de
- fixed specfile to work on alpha
* Tue Feb 15 2000 - ro@suse.de
- since libc needs to be there, the statics don't make sense
- use normal binaries
* Tue Feb 15 2000 - ro@suse.de
- updated to current tools
- provide libc and ld-linux.so.2 and libnss_files.so.2
* Tue Nov 09 1999 - ro@suse.de
- fixed node number for dev null
* Tue Oct 19 1999 - ro@suse.de
- added dev/null
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Mon Feb 15 1999 - ro@suse.de
- copied fix from fileutils: dont redeclare getdelim for glibc
* Wed Oct 07 1998 - ro@suse.de
- update to use tar-1.12
- copied fixes from fileutils-3.16
* Tue Apr 21 1998 - ro@suse.de
- rebuild all binaries in build stage
  applied patches:
  6220 Aug  4  1997 fileutils-3.16.dif
  11113 Mar 11  1997 tar-1.11.8.dif-secure
  1691 Aug  4  1997 ncompress-4.2.4.dif
  5895 Mar  6 17:04 gzip-1.2.4.dif
- and use static linkage for all binaries
* Tue Apr 21 1998 - ro@suse.de
- created buildable package
